# Packmangroup: Multimedia &gt; xine
# Packmanpackagename: kaffeine-mozilla
# Packman: Manfred Tremmel
%define name    kaffeine-mozilla
%define version 0.2
%define release 0.pm.0
%define major   1
%define libname libxine%{major}
%define libvers 1

Name:           %{name}
# Packmandesc: kaffeine-mozilla provides multimedia capabilities to Netscape/Mozilla or compatible browsers using kaffeine.
# Packmandesc_de: kaffeine-mozilla stellt Netscape/Mozilla und kompatiblen Browsern Multimediafhigkeiten basierend auf Kaffeine zur Verfgung.
# Packmandepends: kaffeine libxine1
Summary:        A Netscape/Mozilla plugin using kaffeine for audio/video playback.
Summary(de):    Ein Netscape/Mozilla Plugin welches kaffeine zur Wiedergabe von Audio/Videos nutzt.
Version:        %{version}
Release:        %{release}
Group:          Productivity/Networking/Web/Browsers
Copyright:      GPL
Url:            http://kaffeine.sourceforge.net

Source0:        kaffeine-mozilla-0.2.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       kaffeine >= 0.4.3b
Requires:       %{libname} >= %{libvers}
Buildrequires:  kaffeine >= 0.4.3b
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  %{libname}-devel >= %{libvers}

%description
kaffeine-mozilla provides multimedia capabilities to Netscape/Mozilla or
compatible browsers using kaffeine.

%description -l de
kaffeine-mozilla stellt Netscape/Mozilla und kompatiblen Browsern Multimediafhigkeiten
basierend auf Kaffeine zur Verfgung.

%prep
%setup -n %{name}-%{version}

%build
export CFLAGS="${RPM_OPT_FLAGS}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

%configure
%__make

%install
[ "${RPM_BUILD_ROOT}" = %{_tmppath}/%{name}-%{version}-build ] && rm -rf ${RPM_BUILD_ROOT}
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/browser-plugins
mv ${RPM_BUILD_ROOT}/usr/plugins/* ${RPM_BUILD_ROOT}%{_libdir}/browser-plugins/
rm -rf ${RPM_BUILD_ROOT}/usr/plugins
mkdir -p ${RPM_BUILD_ROOT}/opt/mozilla/lib/plugins
cd ${RPM_BUILD_ROOT}/opt/mozilla/lib/plugins
ln -s %{_libdir}/browser-plugins/kaffeineplugin.so .

%clean
[ "${RPM_BUILD_ROOT}" = %{_tmppath}/%{name}-%{version}-build ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/browser-plugins/kaffeineplugin.*
/opt/mozilla/lib/plugins/kaffeineplugin.so

%changelog
* Sun May 23 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.2
* Sat May 22 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
